Bug 499273 - Help menu item in the Help menu is non-functional
Help menu item in the Help menu is non-functional
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 18:03 EDT by Need Real Name
Modified: 2009-09-25 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.6.1-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 16:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-05-05 18:03:17 EDT
Description of problem:
The Help menu item in the Help menu is non-functional

Version-Release number of selected component (if applicable):
3.4.0-4.fc11

How reproducible:
Always

Steps to Reproduce:
1.install the paraview package with yum
2.execute paraview
3.select the Help menu item from the Help menu in the Paraview window.
  
Actual results:
An alert appears with the text "Couldn't find pqClient.adp.
Try setting the PARAVIEW_HELP environment variable which points to that file"

Expected results:
I expected the hypertext help system to appear in the Help window.

Additional info:
Comment 1 Need Real Name 2009-05-06 16:07:24 EDT
Actually, I just fixed this in the fink paraview packaging that I maintain by using the Debian approach to the problem. This includes the patch...

--- ParaView-3.4.0/Applications/Client/MainWindow.cxx.org       2009-05-05 19:01:24.000000000 -0400
+++ ParaView-3.4.0/Applications/Client/MainWindow.cxx   2009-05-05 19:03:28.000000000 -0400
@@ -974,6 +974,11 @@
     helper = QCoreApplication::applicationDirPath() +
       binDir1 + QString("pqClientDocFinder.txt");
     }
+  if(!QFile::exists(helper))
+    {
+      // Look in a FHS compliant directory
+      helper = QString("@FINKPREFIX@/share/doc/paraview/pqClientDocFinder.txt");
+    }
   if(QFile::exists(helper))
     {
     QFile file(helper);

and using the following commands in the fink paraview.info file...

 make install DESTDIR=%d
 # move documentation
 mkdir -p %i/share/doc/paraview/html
 mv %i/bin/Documentation %i/share/doc/paraview/html/Documentation
 mv %i/bin/pqClient.adp %i/share/doc/paraview/html
 echo > %i/share/doc/paraview/pqClientDocFinder.txt %p/bin/paraview-assistant
 echo >> %i/share/doc/paraview/pqClientDocFinder.txt %p/share/doc/paraview/html/pqClient.adp
 # rename copy of Qt assisstant
 mv %i/bin/assistant %i/bin/paraview-assistant
 install_name_tool -id %p/lib/paraview-3.4/plugins/designer/libQVTKWidgetPlugin.dylib %i/lib/paraview-3.4/plugins/designer/libQVTKWidgetPlugin.dylib

The difference between the fix that works under fink compared to Debian's is that they had '/usr/bin' for the first line in pqClientDocFinder.txt whereas I had to make that the complete path to the assistant executable. It also seems that pqClient.adp needs to be in the same directory as the Documentation directory (but not within). Also I used...

       -DBUILD_DOCUMENTATION:BOOL=ON \
       -DDOCUMENTATION_HTML_HELP=ON \

like debian to configure the documentation build in paraview.
Comment 2 Bug Zapper 2009-06-09 11:13:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tim Scofield 2009-06-15 18:12:09 EDT
This is probably related to:
paraview-3.4.0-4.fc11.x86_64 installs a broken link

ls -l `rpm -ql paraview | grep assistant`
lrwxrwxrwx. 1 root root 26 2009-04-29 08:43 /usr/lib64/paraview/assistant-real -> ../../../bin/assistant_adp 

This should point to /usr/bin/assistant_adp (../../bin/assistant_adp)

But correcting this link issue does not solve the problem
Comment 4 Fedora Update System 2009-08-28 18:09:56 EDT
paraview-3.6.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/paraview-3.6.1-5.fc11
Comment 5 Fedora Update System 2009-09-03 13:28:26 EDT
paraview-3.6.1-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/paraview-3.6.1-6.fc11
Comment 6 Fedora Update System 2009-09-06 16:40:17 EDT
paraview-3.6.1-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update paraview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9344
Comment 7 Fedora Update System 2009-09-25 16:11:59 EDT
paraview-3.6.1-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.